import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.KeyEvent;

import javax.swing.*;
import javax.swing.border.Border;
public class Prozor extends JFrame{

	private static final long serialVersionUID = 1L;
	static JButton dugmici[][] = new JButton[3][3];
	static JLabel labela;
	
	Border blackline;
	JPanel mp;
	JPanel ml;
	JMenuBar mb;
	JMenuBar menuBar;
	JMenu menu;
	JMenuItem menuItem1,menuItem2;
	
	
	public Prozor()
	{
		super("Tic-Tac-Toe");
		
		XO x = new XO();
		
		mp = new JPanel(); //panel za dugmice
		mp.setLayout(new GridLayout(3,3));
	
		blackline = BorderFactory.createLineBorder(Color.black); //border za dugmice
		
		setBounds(550,200,400,400); //velicina celog prozora
		
		getContentPane().setLayout(new BorderLayout());		
		
		for (int i = 0; i < 3; i++) { //dodavanje dugmica na panel za dugmice
			for (int j = 0; j < 3; j++) {	
				dugmici[i][j] = new Dugme("",i,j);
				mp.add(dugmici[i][j]);
				dugmici[i][j].setBorder(blackline);	
			}
		}
		
		add(mp, BorderLayout.CENTER); //panel za dugmice dodati na prozor
		
		//dodavanje labele
		labela = new JLabel("Na potezu je igrac X");
		ml = new JPanel();
		ml.setLayout(new FlowLayout());
		ml.add(labela); //dodavanje labele na jpanel za labelu
		add(ml,BorderLayout.NORTH); //dodavanje jpanela za labelu na prozor
		
		//osluskivaci
		Osluskivac o = new Osluskivac(x);
		OsluskivacDva m = new OsluskivacDva(x);
		OsluskivacTri exit = new OsluskivacTri();
		
		//meni
		menuBar = new JMenuBar();
		menu = new JMenu("File");
		menu.setMnemonic(KeyEvent.VK_A);
		menuBar.add(menu);
		
		menuItem1 = new JMenuItem("New Game",KeyEvent.VK_T);
		menuItem1.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_N, ActionEvent.CTRL_MASK));
		menuItem1.addActionListener(m);
		menu.add(menuItem1);
		
		menuItem2 = new JMenuItem("Exit Game",KeyEvent.VK_T);
		menuItem2.setAccelerator(KeyStroke.getKeyStroke(KeyEvent.VK_C, ActionEvent.CTRL_MASK));
		menuItem2.addActionListener(exit);
		menu.add(menuItem2);
		
		menu.setVisible(true);
		
		setJMenuBar(menuBar);
		
		//akcije za dugmice
		
		dugmici[0][0].addActionListener(o);
		dugmici[0][1].addActionListener(o);
		dugmici[0][2].addActionListener(o);
		dugmici[1][0].addActionListener(o);
		dugmici[1][1].addActionListener(o);
		dugmici[1][2].addActionListener(o);
		dugmici[2][0].addActionListener(o);
		dugmici[2][1].addActionListener(o);
		dugmici[2][2].addActionListener(o);
		
		setVisible(true);
		setResizable(false);
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	}
	
	//resetuje tekst na svim dugmicima
	public static void resetujTekst()
	{
		for (int i = 0; i < 3; i++) {
			for (int j = 0; j < 3; j++) {	
				dugmici[i][j].setText(null);
			}
		}
	}

}
