import java.awt.Font;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JOptionPane;

public class Osluskivac implements ActionListener{

	int i = 0;
	int j = 0;
	
	XO x;
	
	public Osluskivac(XO x)
	{
		this.x = x;
	}
	
	@Override
	public void actionPerformed(ActionEvent arg0) {	
		
		Dugme dugme = new Dugme("",0,0);
		
		dugme = (Dugme) arg0.getSource(); //koje dugme je pozvalo ?
		i = dugme.getKOLONA(); //kupimo koordinate za i,j
		j = dugme.getRED();
		
		dugme.setFont(new Font("Arial", Font.BOLD, 80)); //font
		STATUS_IGRE status = x.odigrajPotez(i, j); //igramo

		dugme.setText(x.dajOznakuPolja(i, j)); //setujemo tekst na dugme
		
		if(status != STATUS_IGRE.U_TOKU) //igra je zavrsena
		{
			if(status == STATUS_IGRE.NERESENO) {
				if(JOptionPane.showConfirmDialog(null, "Niko nije pobedio,igra je neresena.\n          "
						+ "       Zavrsiti?","Kraj igre",JOptionPane.YES_OPTION) == JOptionPane.YES_OPTION)
					System.exit(0);
				else{
					if(JOptionPane.showConfirmDialog(null, "Da li zelite da zapocnete novu igru ?\n",null,JOptionPane.YES_OPTION) != JOptionPane.YES_OPTION)
						System.exit(0);
					
				}
			}
			else if(status == STATUS_IGRE.POBEDIO_X)
			{
				if(JOptionPane.showConfirmDialog(null, "          Pobednik je igrac X.\n          "
						+ "       Zavrsiti?","Kraj igre",JOptionPane.YES_OPTION) == JOptionPane.YES_OPTION)
					System.exit(0);
				else{
					if(JOptionPane.showConfirmDialog(null, "Da li zelite da zapocnete novu igru ?\n",null,JOptionPane.YES_OPTION) != JOptionPane.YES_OPTION)
						System.exit(0);
				}
			}
			else
			{
				if(JOptionPane.showConfirmDialog(null, "          Pobednik je igrac O.\n          "
						+ "       Zavrsiti?","Kraj igre",JOptionPane.YES_OPTION) == JOptionPane.YES_OPTION)
					System.exit(0);
				else{
					if(JOptionPane.showConfirmDialog(null, "Da li zelite da zapocnete novu igru ?\n",null,JOptionPane.YES_OPTION) != JOptionPane.YES_OPTION)
						System.exit(0);			
				}
			}
			
			x.inicijalizuj();
			Prozor.resetujTekst();
			JOptionPane.showConfirmDialog(null,"Prvi igra igrac X", "Informacija", JOptionPane.DEFAULT_OPTION);			
		
		}
		else //ako je igra i dalje u toku
		{
		String poruka = "Igrac ( " + x.dajOznakuPolja(i, j) + " ) je zavrsio,sada je na redu igrac ( "+ x.koJeNaPotezu() + " )";
		Prozor.labela.setText(poruka);
		}
		
			
	}
	
}
